<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Prime Spa
 */

?>
</div><!-- .content -->
	<footer id="colophon" class="site-footer">

	<div class="mainFooter">
		<?php
		echo '<section class="widget">';
		if ( get_theme_mod( 'enable_footer_logo', true ) === true ) {
			prime_spa_logo();
		}
		echo '<p>' . esc_html( get_theme_mod( 'footer_text' ) ) . '</p>';
		echo '</section>';
		?>
		<?php dynamic_sidebar( 'sidebar-2' ); ?>
	</div>

	<div class="site-info">
		<p class="copyright">
		<?php
		if ( get_theme_mod( 'copyright_text', '' ) <> '' ) {
			echo wp_kses_post( get_theme_mod( 'copyright_text', '' ) );
		} else {
			?>
			<span><?php bloginfo( 'name' ); ?></span> <span>&copy;&nbsp;</span><span class="copyright-year"><?php echo esc_html( date_i18n( _x( 'Y', 'copyright date format', 'prime-spa' ) ) ); ?></span>
			<?php
		}
		?>
		<span class="sep"> | </span>
		<?php
		esc_html_e( 'All rights reserved.', 'prime-spa' );
		?>
	</p>
	</div><!-- .site-info -->

</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
